[android-components](../../../index.md) / [mozilla.components.feature.addons](../../index.md) / [Addon](../index.md) / [Rating](./index.md)

# Rating

`data class Rating` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/addons/src/main/java/mozilla/components/feature/addons/Addon.kt#L77)

Holds all the rating information of this add-on.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Rating(average: `[`Float`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-float/index.html)`, reviews: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`)`<br>Holds all the rating information of this add-on. |

### Properties

| Name | Summary |
|---|---|
| [average](average.md) | `val average: `[`Float`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-float/index.html)<br>An average score from 1 to 5 of how users scored this add-on. |
| [reviews](reviews.md) | `val reviews: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)<br>The number of users that has scored this add-on. |
